Debian Bug report logs - #508114
fails to build on alpha

version graph

Package: jack-audio-connection-kit; Maintainer for jack-audio-connection-kit is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Sune Vuorela <debian@pusling.com>

Date: Mon, 8 Dec 2008 00:51:01 UTC

Severity: serious

Found in version 0.115.6-1

Fixed in version jack-audio-connection-kit/0.116.1-1

Done: Free Ekanayaka <freee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Mon, 08 Dec 2008 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Mon, 08 Dec 2008 00:51:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: submit@bugs.debian.org
Subject: fails to build on alpha
Date: Mon, 8 Dec 2008 01:48:37 +0100
Package: jack-audio-connection-kit
Version: 0.115.6-1
Severity: serious

Hi!

Apparantly, your package failst to build from source on alpha.
See <http://buildd.debian.org/fetch.cgi?pkg=jack-audio-connection-
kit;ver=0.115.6-1;arch=alpha;stamp=1228082671> for full details

/usr/bin/make -C . 
make[1]: Entering directory `/build/buildd/jack-audio-connection-kit-0.115.6'
/usr/bin/make  all-recursive
make[2]: Entering directory `/build/buildd/jack-audio-connection-kit-0.115.6'
Making all in jack
make[3]: Entering directory `/build/buildd/jack-audio-connection-
kit-0.115.6/jack'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/build/buildd/jack-audio-connection-
kit-0.115.6/jack'
Making all in libjack
make[3]: Entering directory `/build/buildd/jack-audio-connection-
kit-0.115.6/libjack'
/bin/sh ../libtool --tag=CC   --mode=compile cc -DHAVE_CONFIG_H -I. -I..    -
I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -
Wall -O2 -DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT -
D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 -c -o libjack_la-client.lo 
`test -f 'client.c' || echo './'`client.c
mkdir .libs
 cc -DHAVE_CONFIG_H -I. -I.. -I../config -I.. -I.. -D_REENTRANT -
D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 -
DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT -
D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 -c client.c  -fPIC -DPIC -
o .libs/libjack_la-client.o
In file included from ../config/sysdeps/atomicity.h:20,
                 from ../jack/internal.h:73,
                 from client.c:40:
../config/cpu/generic/atomicity.h:23:2: warning: #warning "stub atomicity 
functions are not atomic on this platform"
In file included from ../config/sysdeps/cycles.h:24,
                 from client.c:58:
../config/cpu/generic/cycles.h:25:2: warning: #warning You are compiling JACK 
on a platform for which jack/config/sysdep/cycles.h needs work
client.c: In function 'jack_client_open_aux':
client.c:972: error: used struct type value where scalar is required
client.c: In function 'jack_client_new':
client.c:1120: error: incompatible type for argument 4 of 
'jack_client_open_aux'
make[3]: *** [libjack_la-client.lo] Error 1
make[3]: Leaving directory `/build/buildd/jack-audio-connection-
kit-0.115.6/libjack'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/buildd/jack-audio-connection-kit-0.115.6'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd/jack-audio-connection-kit-0.115.6'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
*****************************************************************

And please do *not* upload packages with shlib bumps to unstable in periods 
when lenny is frozen in the future.

/Sune
-- 
Genius, I'm not able to install on the floppy disk of a server from Windows 98, 
how does it work?

From the control options inside ICQ you can't debug the driver to remove from 
a space bar on the computer.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sat, 13 Dec 2008 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sat, 13 Dec 2008 12:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 508114@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: Sune Vuorela <debian@pusling.com>
Cc: 508114@bugs.debian.org, jack-devel@jackaudio.org
Subject: Re: fails to build on alpha
Date: Sat, 13 Dec 2008 13:15:21 +0100
* Sune Vuorela | 2008-12-08 01:48:37 [+0100]:

>client.c: In function 'jack_client_open_aux':
>client.c:972: error: used struct type value where scalar is required
>client.c: In function 'jack_client_new':
>client.c:1120: error: incompatible type for argument 4 of 
>'jack_client_open_aux'

Sune, could you compile test this patch on Alpha please? It should fix
the two gcc errors I was in the buildd log. I cc the upstream mailing
list for correctness of the patch.

>/Sune
Sebastian

---
Subject: Fix va_list related build error on Alpha

ack-audio-connection-kit-0.115.6 does not build on Alpha due to abuse of
va_list [1]

|client.c: In function 'jack_client_open_aux':
|client.c:972: error: used struct type value where scalar is required
|client.c: In function 'jack_client_new':
|client.c:1120: error: incompatible type for argument 4 of 
|'jack_client_open_aux'

va_list is only valid between va_start() and va_end() and should not be
used as scalar. Unfortunately only the alpha compiler complains.
This patch has been only compile tested on amd64 and it should address
the two compile errors in debian bug report #508114 [2].

Could upstream please verify the correctness of this patch?

Sebastian

[1] http://buildd.debian.org/fetch.cgi?pkg=jack-audio-connection-kit;ver=0.115.6-1;arch=alpha;stamp=1228082671/gcc
[2] http://bugs.debian.org/508114
--- a/jack/varargs.h
+++ b/jack/varargs.h
@@ -38,22 +39,20 @@ jack_varargs_init (jack_varargs_t *va)
 	va->server_name = jack_default_server_name ();
 }
 
-static inline void
-jack_varargs_parse (jack_options_t options, va_list ap, jack_varargs_t *va)
-{
-	/* initialize default settings */
-	jack_varargs_init (va);
-
-	if ((options & JackServerName)) {
-		char *sn = va_arg(ap, char *);
-		if (sn)
-			va->server_name = sn;
-	}
-	if ((options & JackLoadName))
-		va->load_name = va_arg(ap, char *);
-	if ((options & JackLoadInit))
-		va->load_init = va_arg(ap, char *);
-}
+#define jack_varargs_parse(__options, __ap, __va) do {		\
+	/* initialize default settings */			\
+	jack_varargs_init (__va);				\
+								\
+	if ((__options & JackServerName)) {			\
+		char *sn = va_arg(__ap, char *);		\
+		if (sn)						\
+			(__va)->server_name = sn;		\
+	}							\
+	if ((__options & JackLoadName))				\
+		(__va)->load_name = va_arg(__ap, char *);	\
+	if ((__options & JackLoadInit))				\
+		(__va)->load_init = va_arg(__ap, char *);	\
+} while (0)
 
 #ifdef __cplusplus
 }
--- a/libjack/client.c
+++ b/libjack/client.c
@@ -1117,7 +1117,7 @@ jack_client_new (const char *client_name
 	jack_options_t options = JackUseExactName;
 	if (getenv("JACK_START_SERVER") == NULL)
 		options |= JackNoStartServer;
-	return jack_client_open_aux (client_name, options, NULL, NULL);
+	return jack_client_open(client_name, options, NULL);
 }
 
 char *




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sat, 13 Dec 2008 15:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sat, 13 Dec 2008 15:03:02 GMT) Full text and rfc822 format available.

Message #15 received at 508114@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: re: jack-a-c-k: Patch not a total fix
Date: Sat, 13 Dec 2008 06:59:46 -0800 (PST)
Hi.

The sun is rising where I am, and I am tired, so I will be a little brief. 
I tested your alpha patch, and it does not fix all the problems.  Line 972 
of client.c still has the same problem for me: if(ap) is still a va_list 
that is being treated improperly.

I'm CC:ing my AM (Steffen) so he knows what I'm up to!

Is it adequate, do you think, to test if &ap == NULL?  I am falling asleep 
so take it as a senseless suggestion.

I'm borrowing an Alpha shell from friendly folks on #gentoo-alpha so I can 
test there.

Here is the compile log to show it:

/bin/sh ../libtool --tag=CC   --mode=compile cc -DHAVE_CONFIG_H 
-I. -I..    -I../config -I.. -I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS 
-Wall -g -O2 -g -Wall -O2 -DJACK_LOCATION=\"/usr/bin\" -I../config -I.. 
-I.. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 -c 
-o libjack_la-client.lo `test -f 'client.c' || echo './'`client.c
 cc -DHAVE_CONFIG_H -I. -I.. -I../config -I.. -I.. -D_REENTRANT 
-D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 
-DJACK_LOCATION=\"/usr/bin\" -I../config -I.. -I.. -D_REENTRANT 
-D_POSIX_PTHREAD_SEMANTICS -Wall -g -O2 -g -Wall -O2 -c client.c  -fPIC 
-DPIC -o .libs/libjack_la-client.o
In file included from ../config/sysdeps/atomicity.h:20,
                 from ../jack/internal.h:73,
                 from client.c:40:
../config/cpu/generic/atomicity.h:23:2: warning: #warning "stub atomicity 
functions are not atomic on this platform"
In file included from ../config/sysdeps/cycles.h:24,
                 from client.c:58:
../config/cpu/generic/cycles.h:25:2: warning: #warning You are compiling 
JACK on a platform for which jack/config/sysdep/cycles.h needs work
client.c: In function 'jack_client_open_aux':
client.c:972: error: used struct type value where scalar is required
make: *** [libjack_la-client.lo] Error 1

-- Asheesh.

-- 
Higher education helps your earning capacity.  Ask any college professor.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sat, 13 Dec 2008 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sat, 13 Dec 2008 16:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 508114@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sat, 13 Dec 2008 16:56:35 +0100
* Asheesh Laroia | 2008-12-13 06:59:46 [-0800]:

> Hi.
Hello,

> Is it adequate, do you think, to test if &ap == NULL?  I am falling asleep 
> so take it as a senseless suggestion.
This is not what you want. You should not access va_list directly, you
have to use helpers like va_{start|end|arg|copy} to deal with them.
The code looks to me like the option variable can be ored with
"JackServerName JackLoadName JackLoadInit" to indicate what is in
va_list. Same like %s printf for instance.
So you should check for one of them IMHO. So in that case I was in the
wrong line an passing va_list to next function is valid (I was wondering
here a little...).

Please find attached an updated patch.

---
Subject: Fix build error on Alpha

ack-audio-connection-kit-0.115.6 does not build on Alpha due to abuse of
va_list [1]

|client.c: In function 'jack_client_open_aux':
|client.c:972: error: used struct type value where scalar is required
|client.c: In function 'jack_client_new':
|client.c:1120: error: incompatible type for argument 4 of 
|'jack_client_open_aux'

va_list should not be touched directly unless helper functions are used.
Unfortunately only the alpha compiler complains.
This patch has been only compile tested on amd64 and it should address
the two compile errors in debian bug report #508114 [2].

Could upstream please verify the correctness of this patch?

Sebastian

[1] http://buildd.debian.org/fetch.cgi?pkg=jack-audio-connection-kit;ver=0.115.6-1;arch=alpha;stamp=1228082671/gcc
[2] http://bugs.debian.org/508114
--- a/libjack/client.c
+++ b/libjack/client.c
@@ -969,7 +969,7 @@ jack_client_open_aux (const char *client
 	}
 
 	/* parse variable arguments */
-	if (ap)
+	if (options & (JackServerName | JackLoadName | JackLoadInit))
         jack_varargs_parse(options, ap, &va);
     else
         jack_varargs_init(&va);
@@ -1117,7 +1117,7 @@ jack_client_new (const char *client_name
 	jack_options_t options = JackUseExactName;
 	if (getenv("JACK_START_SERVER") == NULL)
 		options |= JackNoStartServer;
-	return jack_client_open_aux (client_name, options, NULL, NULL);
+	return jack_client_open(client_name, options, NULL);
 }
 
 char *




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sat, 13 Dec 2008 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sat, 13 Dec 2008 19:57:02 GMT) Full text and rfc822 format available.

Message #25 received at 508114@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sat, 13 Dec 2008 11:55:35 -0800 (PST)
On Sat, 13 Dec 2008, Sebastian Andrzej Siewior wrote:

> * Asheesh Laroia | 2008-12-13 06:59:46 [-0800]:
>
>> Hi.
> Hello,
>
>> Is it adequate, do you think, to test if &ap == NULL?  I am falling asleep
>> so take it as a senseless suggestion.
> This is not what you want. You should not access va_list directly, you
> have to use helpers like va_{start|end|arg|copy} to deal with them.
> The code looks to me like the option variable can be ored with
> "JackServerName JackLoadName JackLoadInit" to indicate what is in
> va_list. Same like %s printf for instance.

Ah-hah, got it.

> So you should check for one of them IMHO. So in that case I was in the 
> wrong line an passing va_list to next function is valid (I was wondering 
> here a little...).
>
> Please find attached an updated patch.

The updated patch *alone* does fix the compile failure on Alpha, with no 
other changes.

-- Asheesh.

-- 
< doogie> asuffield: how do you think dpkg was originally written?  :|
< asuffield> by letting iwj get dangerously near a computer
		-- in #debian-devel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sun, 14 Dec 2008 19:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sun, 14 Dec 2008 19:33:11 GMT) Full text and rfc822 format available.

Message #30 received at 508114@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sun, 14 Dec 2008 11:31:48 -0800 (PST)
On Sat, 13 Dec 2008, Sebastian Andrzej Siewior wrote:

> So you should check for one of them IMHO. So in that case I was in the
> wrong line an passing va_list to next function is valid (I was wondering
> here a little...).

Got it.  So this patch fixes the FTBFS on alpha.

Now that it compiles, the semantics are the same on any architecture. 
Upstream seems slow to answer if the patch is good, even for the previous 
patch which was not.  So let's see if we can sanity-check this without 
upstream's help.

Can you test this patch on non-alpha, then?  If it doesn't hurt non-alpha, 
and it fixes the FTBFS, then we should ship it.  (It's not some massive 
patch whose meaning is hard to understand, and it's not a 
security-sensitive issue.)

As I understand it, the only reason we haven't put this into the 
jack-audio-connection-kit source package is that you want to be more 
confident of the effect on non-alpha machines.  Therefore, let's try to be 
more confident of that so we can unblock this for testing so we can get 
another couple of RC bugs closed that depend on this. (-:

-- Asheesh.

-- 
Q:	How much does it cost to ride the Unibus?
A:	2 bits.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sun, 14 Dec 2008 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sun, 14 Dec 2008 20:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 508114@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sun, 14 Dec 2008 21:10:38 +0100
* Asheesh Laroia | 2008-12-14 11:31:48 [-0800]:

> Upstream seems slow to answer if the patch is good, even for the previous 
> patch which was not.  So let's see if we can sanity-check this without 
> upstream's help.

I've signed up to their mailing list and sent then the following email:

---
The Debian package jack-audio-connection-kit-0.115.6 does not build on
Alpha due to abuse of va_list [1]

|client.c: In function 'jack_client_open_aux':
|client.c:972: error: used struct type value where scalar is required
|client.c: In function 'jack_client_new':
|client.c:1120: error: incompatible type for argument 4 of 
|'jack_client_open_aux'

va_list must not be used directly, only via helpers. Unfortunately only
the alpha compiler complains.
This patch has been only compile tested on amd64 and a similar version
has been build tested on Alpha as you can seen in the Debian bug report
#508114 [2]. I've just removed the if part since it should not make any
difference. This patch is against r3204.

Could upstream please verify the correctness of this patch?

Sebastian

[1] http://buildd.debian.org/fetch.cgi?pkg=jack-audio-connection-kit;ver=0.115.6-1;arch=alpha;stamp=1228082671/gcc
[2] http://bugs.debian.org/508114
--- a/libjack/client.c
+++ b/libjack/client.c
@@ -974,10 +974,7 @@ jack_client_open_aux (const char *client
 	}
 
 	/* parse variable arguments */
-	if (ap)
         jack_varargs_parse(options, ap, &va);
-    else
-        jack_varargs_init(&va);
 
 	/* External clients need to know where the tmpdir used for
 	   communication with the server lives
@@ -1122,7 +1119,7 @@ jack_client_new (const char *client_name
 	jack_options_t options = JackUseExactName;
 	if (getenv("JACK_START_SERVER") == NULL)
 		options |= JackNoStartServer;
-	return jack_client_open_aux (client_name, options, NULL, NULL);
+	return jack_client_open(client_name, options, NULL);
 }
 
 char *


---
And this is the answer I received:
|On Sat, Dec 13, 2008 at 11:54:42PM +0100, torbenh@gmx.de wrote:
|> On Sat, Dec 13, 2008 at 09:30:18PM +0100, Sebastian Andrzej Siewior wrote:
|> > The Debian package jack-audio-connection-kit-0.115.6 does not build on
|> > Alpha due to abuse of va_list [1]
|> >
|> > |client.c: In function 'jack_client_open_aux':
|> > |client.c:972: error: used struct type value where scalar is required
|> > |client.c: In function 'jack_client_new':
|> > |client.c:1120: error: incompatible type for argument 4 of
|> > |'jack_client_open_aux'
|> >
|> > va_list must not be used directly, only via helpers. Unfortunately only
|> > the alpha compiler complains.
|> > This patch has been only compile tested on amd64 and a similar version
|> > has been build tested on Alpha as you can seen in the Debian bug report
|> > #508114 [2]. I've just removed the if part since it should not make any
|> > difference. This patch is against r3204.
|> >
|> > Could upstream please verify the correctness of this patch?
|>
|> looks good to me.
|
|applied to my git... tested:
|"jack_netsource -s server2" connects to second server.
|
|i commit when paul gives ok.
|_______________________________________________
|Jack-Devel mailing list
|Jack-Devel@lists.jackaudio.org
|http://lists.jackaudio.org/listinfo.cgi/jack-devel-jackaudio.org

So it seems that part of upstream is fine with it and tested it.
Unfortunately you got to sign-up in order to see the archive.

Does this sound okay to you?

> -- Asheesh.

Sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sun, 14 Dec 2008 20:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sun, 14 Dec 2008 20:18:07 GMT) Full text and rfc822 format available.

Message #40 received at 508114@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sun, 14 Dec 2008 12:14:30 -0800 (PST)
[Message part 1 (text/plain, inline)]
On Sun, 14 Dec 2008, Asheesh Laroia wrote:

> On Sat, 13 Dec 2008, Sebastian Andrzej Siewior wrote:
>
>> So you should check for one of them IMHO. So in that case I was in the
>> wrong line an passing va_list to next function is valid (I was wondering
>> here a little...).
>
> Got it.  So this patch fixes the FTBFS on alpha.
>
> Now that it compiles, the semantics are the same on any architecture. 
> Upstream seems slow to answer if the patch is good

Upstream committed this patch:

<torbenh3> 20:47  droncho New news from jacktimeline: Changeset [3205]: 
Fix alpha compilation error. Debian Bug #508114.

So that's that!  I'm attaching an NMU-style debdiff as a proposal for what 
should go into Lenny.  This way you have a ready-made changelog entry to 
use if you like.

-- Asheesh.

-- 
Go to a movie tonight.  Darkness becomes you.
[debdiff.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#508114; Package jack-audio-connection-kit. (Sun, 14 Dec 2008 20:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Sun, 14 Dec 2008 20:27:02 GMT) Full text and rfc822 format available.

Message #45 received at 508114@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: 508114@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>
Subject: Re: jack-a-c-k: Patch not a total fix
Date: Sun, 14 Dec 2008 21:22:58 +0100
* Asheesh Laroia | 2008-12-14 12:14:30 [-0800]:

> <torbenh3> 20:47  droncho New news from jacktimeline: Changeset [3205]: Fix 
> alpha compilation error. Debian Bug #508114.

Yup, looks like upstream took my patch. That one is tiny little
different to what you just posted but it should be fine.

> -- Asheesh.
>

Sebastian




Information stored :
Bug#508114; Package jack-audio-connection-kit. (Mon, 15 Dec 2008 03:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and filed, but not forwarded. (Mon, 15 Dec 2008 03:57:03 GMT) Full text and rfc822 format available.

Message #50 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: debian-release@lists.debian.org, freee@debian.org
Cc: 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Sun, 14 Dec 2008 19:51:30 -0800 (PST)
(freee - see below)

Dear debian-release,

jack-audio-connection-kit has a FTBFS bug: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508114

Fixing this bug and allowing the resulting jack-audio-connection-kit to 
flow into Lenny would close this Lenny RC bug: 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500540 - you can see at 
http://buildd.debian.org/pkg.cgi?pkg=kdebase that kdebase is ready to be 
installed into testing if only there is a libjack-dev that meets the 
desired criteria.

I have prepared an NMU (attached as debdiff.patch against -1; also .dsc at 
http://mentors.debian.net/debian/pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.115.6-1.1.dsc 
). Either the maintainer of jack-a-c-k should upload it, or someone should 
do the NMU.

Dear Free Ekanayaka (CC:d),

My initial NMU post to the bug didn't take into account that you use 
dpatch.  I have written a fresh patch (attached) in NMU format that 
addresses that issue.  It's an NMU format so I could write a changelog 
entry to describe the patch.  It also creates a debian/patches file for 
the compile fix for this bug.

Since you were the most recent uploader of jack-a-c-k, would you upload a 
new jack-a-c-k containing the patch in my NMU this?  Feel free to just 
change the name on it and upload it yourself as -2.  If not, is it okay if 
I do an NMU?

Thanks all!

-- Asheesh.

-- 
The abuse of greatness is when it disjoins remorse from power.
		-- William Shakespeare, "Julius Caesar"




Information stored :
Bug#508114; Package jack-audio-connection-kit. (Mon, 15 Dec 2008 03:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
Extra info received and filed, but not forwarded. (Mon, 15 Dec 2008 03:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: debian-release@lists.debian.org, freee@debian.org
Cc: 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Sun, 14 Dec 2008 19:52:34 -0800 (PST)
[Message part 1 (text/plain, inline)]
On Sun, 14 Dec 2008, Asheesh Laroia wrote:

> attached as debdiff.patch against -1

Actually attached this time.  Pardon the noise!

-- Asheesh.

-- 
Don't plan any hasty moves.  You'll be evicted soon anyway.
[debdiff.patch (text/x-diff, attachment)]

Information stored :
Bug#508114; Package jack-audio-connection-kit. (Mon, 15 Dec 2008 11:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <free@64studio.com>:
Extra info received and filed, but not forwarded. (Mon, 15 Dec 2008 11:06:02 GMT) Full text and rfc822 format available.

Message #60 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <free@64studio.com>
To: Asheesh Laroia <asheesh@asheesh.org>
Cc: debian-release@lists.debian.org, 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Mon, 15 Dec 2008 12:04:01 +0100
Hi Asheesh,

|--==> On Sun, 14 Dec 2008 19:52:34 -0800 (PST), Asheesh Laroia <asheesh@asheesh.org> said:

  AL> On Sun, 14 Dec 2008, Asheesh Laroia wrote:
  >>attached as debdiff.patch against -1

  AL> Actually attached this time.  Pardon the noise!

Thanks for all your work, I will upload the package today.

I'm also going to upgrade to version 0.116.1, which contains several
important bug fixes. The upstream developers themselves deprecate the
use of the version 0.109.2, the one currently in Lenny.

Ciao!

Free




Reply sent to Free Ekanayaka <freee@debian.org>:
You have taken responsibility. (Mon, 15 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Notification sent to Sune Vuorela <debian@pusling.com>:
Bug acknowledged by developer. (Mon, 15 Dec 2008 12:48:03 GMT) Full text and rfc822 format available.

Message #65 received at 508114-close@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <freee@debian.org>
To: 508114-close@bugs.debian.org
Subject: Bug#508114: fixed in jack-audio-connection-kit 0.116.1-1
Date: Mon, 15 Dec 2008 12:17:10 +0000
Source: jack-audio-connection-kit
Source-Version: 0.116.1-1

We believe that the bug you reported is fixed in the latest version of
jack-audio-connection-kit, which is due to be installed in the Debian FTP archive:

jack-audio-connection-kit_0.116.1-1.diff.gz
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.1-1.diff.gz
jack-audio-connection-kit_0.116.1-1.dsc
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.1-1.dsc
jack-audio-connection-kit_0.116.1.orig.tar.gz
  to pool/main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.116.1.orig.tar.gz
jackd_0.116.1-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/jackd_0.116.1-1_amd64.deb
libjack-dev_0.116.1-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/libjack-dev_0.116.1-1_amd64.deb
libjack0.100.0-0_0.116.1-1_all.deb
  to pool/main/j/jack-audio-connection-kit/libjack0.100.0-0_0.116.1-1_all.deb
libjack0.100.0-dev_0.116.1-1_all.deb
  to pool/main/j/jack-audio-connection-kit/libjack0.100.0-dev_0.116.1-1_all.deb
libjack0_0.116.1-1_amd64.deb
  to pool/main/j/jack-audio-connection-kit/libjack0_0.116.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508114@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Free Ekanayaka <freee@debian.org> (supplier of updated jack-audio-connection-kit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Dec 2008 12:11:54 +0100
Source: jack-audio-connection-kit
Binary: jackd libjack0 libjack0.100.0-0 libjack-dev libjack0.100.0-dev
Architecture: source all amd64
Version: 0.116.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Changed-By: Free Ekanayaka <freee@debian.org>
Description: 
 jackd      - JACK Audio Connection Kit (server and example clients)
 libjack-dev - JACK Audio Connection Kit (development files)
 libjack0   - JACK Audio Connection Kit (libraries)
 libjack0.100.0-0 - JACK Audio Connection Kit (libraries)
 libjack0.100.0-dev - JACK Audio Connection Kit (libraries)
Closes: 508114
Changes: 
 jack-audio-connection-kit (0.116.1-1) unstable; urgency=low
 .
   [ Asheesh Laroia ]
   * 11_fix_varargs_to_fix_ftbfs_on_alpha.patch: Add patch to fix alpha
     build failure by using var args correctly (earlier versions of Jack
     improperly passed the va_list around). The issue is fixed in upstream
     svn r3205. (Closes: #508114)
 .
   [ Free Ekanayaka ]
   * New upstream release
Checksums-Sha1: 
 ed912365827936eebd1e7a73670f65f55d561387 1984 jack-audio-connection-kit_0.116.1-1.dsc
 a28fb33d5757c933317015cebff852ca5ccefb37 921339 jack-audio-connection-kit_0.116.1.orig.tar.gz
 c9d02b60e9e496ea84de8fec9799c823ad057e77 30361 jack-audio-connection-kit_0.116.1-1.diff.gz
 42c81708dbc572b35d359b604644f7c040902082 13542 libjack0.100.0-0_0.116.1-1_all.deb
 d74bc799e22d0fdcf40f5f1fa2b11a2a4eb6a982 13554 libjack0.100.0-dev_0.116.1-1_all.deb
 c22b19f99c6a5f0dc7e29d796186610b1c5568f4 84472 jackd_0.116.1-1_amd64.deb
 31947f3dadec261441a5f79085cf7043b966cfb0 183756 libjack0_0.116.1-1_amd64.deb
 4800413f2accfb61e4bd680923897772c03c38da 273282 libjack-dev_0.116.1-1_amd64.deb
Checksums-Sha256: 
 630f9446727c2c63f8fd58bd5b31947bc979b418dff96299ab1c848a47bbf937 1984 jack-audio-connection-kit_0.116.1-1.dsc
 53eb341e0fa7ba631264f10b852c511cf7faa1a8ae2f178e60373178e686aa65 921339 jack-audio-connection-kit_0.116.1.orig.tar.gz
 cf1203c444ff10099d31fd5b24a51ebcc94036c997deb2d7aa0b493281fb8231 30361 jack-audio-connection-kit_0.116.1-1.diff.gz
 ddb38a08e450940cf14de9dc6d067aa452fe45cdb5465526b70ea448709153ce 13542 libjack0.100.0-0_0.116.1-1_all.deb
 628ac950f26eded52e5c3eb23940bfc76d8b7267f89420eb9690f61626a680a2 13554 libjack0.100.0-dev_0.116.1-1_all.deb
 c3091cde9d37c8d38d3d3dc7df80d9fb8232290b168ec3bc4bfea0fc3cc707e7 84472 jackd_0.116.1-1_amd64.deb
 5b3a753d73816fcbb85f1b40d179833b8a530fd943819b3ac9f546f8677f4cae 183756 libjack0_0.116.1-1_amd64.deb
 a9fe51ef3b2a190314d7d58bec3514911f361f973bd15a89946c02d717012d5d 273282 libjack-dev_0.116.1-1_amd64.deb
Files: 
 03a96f96a25f780fb8ca5dc9625b3cc3 1984 sound optional jack-audio-connection-kit_0.116.1-1.dsc
 308c5146a13491086cfb1d0be1798ee8 921339 sound optional jack-audio-connection-kit_0.116.1.orig.tar.gz
 0781dd9724eb7ef54ac015f6652c13d7 30361 sound optional jack-audio-connection-kit_0.116.1-1.diff.gz
 4f33325dc9fce25a90acb8db65909999 13542 libs optional libjack0.100.0-0_0.116.1-1_all.deb
 d7747133810d8d7f8abfffb4f462a9af 13554 libs optional libjack0.100.0-dev_0.116.1-1_all.deb
 4c0f2b30fb10609d2213b52437b4eab4 84472 sound optional jackd_0.116.1-1_amd64.deb
 36d59ff8d14b68ab6e8b69825830c926 183756 libs optional libjack0_0.116.1-1_amd64.deb
 1ed1488006d990d1ec8a9f9e609a5f0c 273282 libdevel optional libjack-dev_0.116.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklGSeoACgkQcanJGlcVnlmg+ACg7J1xEYx97ZlYcxEUz+iMRqZ+
jD4An0bGzyJIWwZeOLsRk/LmvrCe1vHe
=3FUW
-----END PGP SIGNATURE-----





Information stored :
Bug#508114; Package jack-audio-connection-kit. (Sun, 21 Dec 2008 17:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 21 Dec 2008 17:12:02 GMT) Full text and rfc822 format available.

Message #70 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Free Ekanayaka <free@64studio.com>
Cc: Asheesh Laroia <asheesh@asheesh.org>, debian-release@lists.debian.org, 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Sun, 21 Dec 2008 18:09:59 +0100
Free Ekanayaka wrote:
> Hi Asheesh,
> 
> |--==> On Sun, 14 Dec 2008 19:52:34 -0800 (PST), Asheesh Laroia <asheesh@asheesh.org> said:
> 
>   AL> On Sun, 14 Dec 2008, Asheesh Laroia wrote:
>   >>attached as debdiff.patch against -1
> 
>   AL> Actually attached this time.  Pardon the noise!
> 
> Thanks for all your work, I will upload the package today.
> 
> I'm also going to upgrade to version 0.116.1, which contains several
> important bug fixes. The upstream developers themselves deprecate the
> use of the version 0.109.2, the one currently in Lenny.

659 files changed, 134591 insertions(+), 119489 deletions(-)

Hmm, who is going to explain this in detail?

You seem to also forget about it being a library and changing shlibs
means also work for reverse dependencies (either for ignoring this
version in unstable or for using it when you would succeed in convincing
us to include it in testing).

Cheers

Luk




Information stored :
Bug#508114; Package jack-audio-connection-kit. (Sun, 21 Dec 2008 22:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <freee@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 21 Dec 2008 22:39:15 GMT) Full text and rfc822 format available.

Message #75 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <freee@debian.org>
To: Luk Claes <luk@debian.org>
Cc: Asheesh Laroia <asheesh@asheesh.org>, debian-release@lists.debian.org, 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Sun, 21 Dec 2008 23:37:47 +0100
Hi Luk,

|--==> On Sun, 21 Dec 2008 18:09:59 +0100, Luk Claes <luk@debian.org> said:

  LC> Free Ekanayaka wrote:
  >>Hi Asheesh,
  >>
  >>|--==> On Sun, 14 Dec 2008 19:52:34 -0800 (PST), Asheesh Laroia <asheesh@asheesh.org> said:
  >>
  AL> On Sun, 14 Dec 2008, Asheesh Laroia wrote:
  >>>>attached as debdiff.patch against -1
  >>
  AL> Actually attached this time.  Pardon the noise!
  >>
  >>Thanks for all your work, I will upload the package today.
  >>
  >>I'm also going to upgrade to version 0.116.1, which contains several
  >>important bug fixes. The upstream developers themselves deprecate the
  >>use of the version 0.109.2, the one currently in Lenny.

  LC> 659 files changed, 134591 insertions(+), 119489 deletions(-)

  LC> Hmm, who is going to explain this in detail?

  LC> You seem to also forget about it being a library and changing shlibs
  LC> means also work for reverse dependencies (either for ignoring this
  LC> version in unstable or for using it when you would succeed in convincing
  LC> us to include it in testing).

The new version is 100% backward compatible, as a matter of fact there
were no changes in the lib's API or ABI, just a lot of fixes in the
code of the *jackd* server, which is built from the same sources.

So there would be absolutely no regression in including it in testing,
on the contrary the current version in testing is not really usable,
as its jackd daemon produces buffer overruns in many
situations. Unfortunately the upstream developers have released this
new more stable version (0.116.1) only 11 months after the version
currently in testing (0.109.2), so it was really not possible to
upload a better version before the freeze.

If needed I can ask to the upstream developers for a compatibility
statement.

Ciao!

Free




Information stored :
Bug#508114; Package jack-audio-connection-kit. (Thu, 01 Jan 2009 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 01 Jan 2009 21:36:04 GMT) Full text and rfc822 format available.

Message #80 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Free Ekanayaka <freee@debian.org>
Cc: Asheesh Laroia <asheesh@asheesh.org>, debian-release@lists.debian.org, 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Thu, 01 Jan 2009 22:32:47 +0100
Free Ekanayaka wrote:
> Hi Luk,
> 
> |--==> On Sun, 21 Dec 2008 18:09:59 +0100, Luk Claes <luk@debian.org> said:
> 
>   LC> Free Ekanayaka wrote:
>   >>Hi Asheesh,
>   >>
>   >>|--==> On Sun, 14 Dec 2008 19:52:34 -0800 (PST), Asheesh Laroia <asheesh@asheesh.org> said:
>   >>
>   AL> On Sun, 14 Dec 2008, Asheesh Laroia wrote:
>   >>>>attached as debdiff.patch against -1
>   >>
>   AL> Actually attached this time.  Pardon the noise!
>   >>
>   >>Thanks for all your work, I will upload the package today.
>   >>
>   >>I'm also going to upgrade to version 0.116.1, which contains several
>   >>important bug fixes. The upstream developers themselves deprecate the
>   >>use of the version 0.109.2, the one currently in Lenny.
> 
>   LC> 659 files changed, 134591 insertions(+), 119489 deletions(-)
> 
>   LC> Hmm, who is going to explain this in detail?
> 
>   LC> You seem to also forget about it being a library and changing shlibs
>   LC> means also work for reverse dependencies (either for ignoring this
>   LC> version in unstable or for using it when you would succeed in convincing
>   LC> us to include it in testing).
> 
> The new version is 100% backward compatible, as a matter of fact there
> were no changes in the lib's API or ABI, just a lot of fixes in the
> code of the *jackd* server, which is built from the same sources.

Well, it's still way too much to review, so we would prefer a targeted
fix to be uploaded to testing-proposed-updates.

Cheers

Luk




Information stored :
Bug#508114; Package jack-audio-connection-kit. (Thu, 01 Jan 2009 22:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Free Ekanayaka <freee@debian.org>:
Extra info received and filed, but not forwarded. (Thu, 01 Jan 2009 22:30:03 GMT) Full text and rfc822 format available.

Message #85 received at 508114-quiet@bugs.debian.org (full text, mbox):

From: Free Ekanayaka <freee@debian.org>
To: Luk Claes <luk@debian.org>
Cc: Asheesh Laroia <asheesh@asheesh.org>, debian-release@lists.debian.org, 508114-quiet@bugs.debian.org, Steffen Joerris <steffen.joeris@skolelinux.de>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
Subject: Re: jack-audio-connection-kit: Uploading new version to fix alpha FTBFS
Date: Thu, 01 Jan 2009 23:26:49 +0100
Hi Luk,

|--==> On Thu, 01 Jan 2009 22:32:47 +0100, Luk Claes <luk@debian.org> said:

  LC> Free Ekanayaka wrote:
  >>Hi Luk,
  >>
  >>|--==> On Sun, 21 Dec 2008 18:09:59 +0100, Luk Claes <luk@debian.org> said:
  >>
  LC> Free Ekanayaka wrote:
  >>>>Hi Asheesh,
  >>>>
  >>>>|--==> On Sun, 14 Dec 2008 19:52:34 -0800 (PST), Asheesh Laroia <asheesh@asheesh.org> said:
  >>>>
  AL> On Sun, 14 Dec 2008, Asheesh Laroia wrote:
  >>>>>>attached as debdiff.patch against -1
  >>>>
  AL> Actually attached this time.  Pardon the noise!
  >>>>
  >>>>Thanks for all your work, I will upload the package today.
  >>>>
  >>>>I'm also going to upgrade to version 0.116.1, which contains several
  >>>>important bug fixes. The upstream developers themselves deprecate the
  >>>>use of the version 0.109.2, the one currently in Lenny.
  >>
  LC> 659 files changed, 134591 insertions(+), 119489 deletions(-)
  >>
  LC> Hmm, who is going to explain this in detail?
  >>
  LC> You seem to also forget about it being a library and changing shlibs
  LC> means also work for reverse dependencies (either for ignoring this
  LC> version in unstable or for using it when you would succeed in convincing
  LC> us to include it in testing).
  >>
  >>The new version is 100% backward compatible, as a matter of fact there
  >>were no changes in the lib's API or ABI, just a lot of fixes in the
  >>code of the *jackd* server, which is built from the same sources.

  LC> Well, it's still way too much to review, so we would prefer a targeted
  LC> fix to be uploaded to testing-proposed-updates.

I understand your position. But if this can help changing your mind,
please note that the 0.116.1 jack package in sid has been tested by
several 64 Studio [0] users running lenny/sid and reports have all
been positive.

It would be a real pity to release lenny with the buggy 0.109.0,
again, the upstream developers deprecate it:

"I am happy to announce the release of JACK 0.116.0. This is an
important release, because it fixes all the problems reported with
0.115.6 and now makes 0.109.2 completely obsolete. Nobody should be
using 0.109.2 within a few weeks, and even that is only to allow for
distributions to update." [1]

Ciao!

Free

[0] http://www.64studio.com/
[1] http://jackaudio.org/node/20




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Jan 2009 07:27:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:37:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.